
% makeeramean: calculate monthly mean climatology from
% ERA 15 year reanalysis monthly mean values.
% 
% mean is for Jan 1979 to Dec 1993

clear all;

yr=1979:1993;

[lon_era,lat_era,lonvec,latvec,sss,index, ...
        sst,netheat,eminusp,taux,tauy]=loaderayear(1990);

SST=NaN*ones(size(sst,1),size(sst,2),length(yr));
NH=SST;EP=SST;TX=SST;TY=SST;

for i=1:length(yr);
    [lon_era,lat_era,lonvec,latvec,sss,index, ...
        sst,netheat,eminusp,taux,tauy]=loaderayear(yr(i));
    SST(:,:,i)=sst;
    NH(:,:,i)=netheat;
    EP(:,:,i)=eminusp;
    TX(:,:,i)=taux;
    TY(:,:,i)=tauy;
end;
sst=mean(SST,3); clear SST;
netheat=mean(NH,3); clear NH;
eminusp=mean(EP,3); clear EP;
taux=mean(TX,3); clear TX;
tauy=mean(TY,3); clear TY;
clear yr i

save era