
% makelandmask - create a vector of size
% lat_era by lon_era which contains -1
% (water) and 0 (land), same convention as
% NCEP landmask

lon_era=getnc('skt.nc','lon');
% break data at dateline instead of prime meridian
q=find(lon_era>=180);
lon_era(q)=lon_era(q)-360;
[lon_era,ind_lon]=sort(lon_era);
lat_era=getnc('skt.nc','lat');

directory='/phod007/lumpkin/ncep2';

eval(['lon_ncep=getnc(''',directory, ...
	'/lsmask.19294.nc'',''lon'');']);
% break data at dateline instead of prime meridian
q=find(lon_ncep>=180);
lon_ncep(q)=lon_ncep(q)-360;
[lon_ncep,ind_lon]=sort(lon_ncep);
eval(['lat_ncep=getnc(''',directory, ...
        '/lsmask.19294.nc'',''lat'');']);
eval(['landmask=getnc(''',directory, ...
        '/lsmask.19294.nc'',''lsmask'');']);
landmask=landmask(:,ind_lon);

landmask_era=interp2(lon_ncep,lat_ncep',landmask, ...
    lon_era,lat_era','linear');
landmask_era=fillnans(round(landmask_era),1);
landmask=landmask_era;
save landmask lon_era lat_era landmask


