
% makesss.m 
%
% Load Levitus94 sea-surface salinity and the
% NCEP/NCAR reanalsyis grid, and interp2d the
% monthly SSS fields onto the NCEP grid.
% Save the result as sss.mat

directory='/phod007/lumpkin/era15';
eval(['lon_era=getnc(''',directory, ...
	'/evap.nc'',''lon'');']);
% break data at dateline instead of prime meridian
q=find(lon_era>=180);
lon_era(q)=lon_era(q)-360;
[lon_era,ind_lon]=sort(lon_era);
eval(['lat_era=getnc(''',directory, ...
        '/evap.nc'',''lat'');']);
eval(['load ',directory,'/landmask landmask']);
% redefine so landmask=1 over ocean, NaN over land
landmask=landmask+1;
landmask(find(~landmask))=NaN;

% recast as vectors
index_era=1:size(landmask,1)*size(landmask,2);
landmask=reshape(landmask, ...
        [1 size(landmask,1)*size(landmask,2)]);
q=find(isfinite(landmask));
index_era=index_era(q);

% load Levitus94 sea-surface salinity and
% interpolate to NCEP grid
load /phod007/lumpkin/coads/coads lon lat sss index;

SSS=NaN*ones(length(lat),length(lon));
SSS2=NaN*ones(length(lat_era),length(lon_era));

SSS(index)=mean(sss,1);
subplot(211);
patchmap(lon,lat,SSS,[30 38]);
title('Levitus94 mean SSS')

subplot(212);
disp('Interpolating to ERA grid.')
sss2=NaN*ones(12,length(index_era));
for mon=1:12;
  fprintf('  Month %d of 12\n',mon);
  SSS(index)=sss(mon,:);
  SSS2=interp2(lon,lat',fillnans(SSS,1),lon_era,lat_era');
  SSS2=fillnans(SSS2,1);
  sss2(mon,:)=SSS2(index_era);
end;
SSS2=NaN*ones(length(lat_era),length(lon_era));
SSS2(index_era)=mean(sss2,1);
patchmap(lon_era,lat_era,SSS2,[30 38]);
title('Levitus94 SSS on ECMWF grid.')

sss=sss2;
save sss sss lon_era lat_era
